# Binds
config.bind('pd', 'spawn linkhandler {url}')
config.bind('yd', 'hint links spawn linkhandler {hint-url}')

# Search engines
c.url.searchengines = {'DEFAULT': 'https://librex.beparanoid.de/search.php?q={}',
        'y': 'https://yewtu.be/search?q={}',
        'gh': 'https://github.com/search?q={}',
        'md': 'https://reelgood.com/search?q={}',
        'rep': 'https://repology.org/projects/?search={}',
        'trans': 'https://lingva.ml/auto/uk/{}'
        }

c.confirm_quit = ['downloads']
c.content.geolocation = False
c.content.mouse_lock = False
c.content.notifications.enabled = False
c.content.blocking.enabled = True
c.downloads.location.directory = "$XDG_DOWNLOAD_DIR"
c.downloads.location.prompt = False
c.downloads.remove_finished = 500
c.tabs.background = True
c.url.start_pages = ['about:blank']
c.url.default_page = 'about:blank'

# Colors
c.colors.completion.odd.bg = "#1a1a1a"
c.colors.completion.even.bg = "#1a1a1a"
c.colors.completion.category.bg = "#1a1a1a"
c.colors.completion.category.fg = "#ffcc66"
c.colors.completion.category.border.top = "#1a1a1a"
c.colors.completion.category.border.bottom = "#1a1a1a"
c.colors.statusbar.normal.bg = "#1a1a1a"
c.colors.statusbar.command.bg = "#1a1a1a"
c.colors.statusbar.url.success.https.fg = "white"
c.colors.tabs.even.fg = "#888"
c.colors.tabs.even.bg = "#002a3b"
c.colors.tabs.odd.fg = "#888"
c.colors.tabs.odd.bg = "#002a3b"
c.colors.tabs.selected.odd.bg = "#005577"
c.colors.tabs.selected.even.bg = "#005577"
c.colors.messages.error.fg = c.colors.statusbar.normal.fg
c.colors.messages.warning.fg = c.colors.statusbar.normal.fg
c.colors.prompts.fg = c.colors.statusbar.normal.fg
c.colors.webpage.preferred_color_scheme = 'dark'

# UI
c.fonts.default_family = "monospace"
c.fonts.default_size = "8pt"
c.tabs.padding = {"bottom": 1, "left": 5, "right": 5, "top": 1}
c.tabs.favicons.scale = 0.9
c.completion.cmd_history_max_items = 10
c.completion.height = "30%"
c.completion.scrollbar.width = 12

config.load_autoconfig(False)
