local map = vim.keymap.set
local opts = { noremap=true, silent=true }

vim.g.mapleader = ' '
vim.g.fzf_action = { enter = 'tab split', ['ctrl-t'] = 'vsplit' }

map('n', '<C-h>', '<C-w>h')
map('n', '<C-j>', '<C-w>j')
map('n', '<C-k>', '<C-w>k')
map('n', '<C-l>', '<C-w>l')
map('n', '<C-t>', '<C-w>r')
map('n', '<C-s>', '<C-w>T')
map('v', '.', ':normal .<CR>')

map('n', 'K', ':tabprevious<CR>')
map('n', 'J', ':tabnext<CR>')

map('n', '<C-o>', ':bprevious<CR>')
map('n', '<C-p>', ':bnext<CR>')
map('n', '<C-x>', ':bdelete<CR>')

map('', '<leader>c', ':w! | !compiler "<c-r>%"<CR>')
map('', '<leader>f', ':FZF<CR>')
map('', '<leader>p', ':!opout <c-r>%<CR><CR>')
map('', '<leader>se', ':setlocal spell! spelllang=en_us<CR>')
